library editor;

(*
needs for compile
TEditor, TOleddEditor:
  http://member.nifty.ne.jp/~katsuhiko/delphi.html
  http://member.nifty.ne.jp/~katsuhiko/vcl/teditor1/hedit242.lzh
  http://member.nifty.ne.jp/~katsuhiko/vcl/toleddeditor/holeeditor130.lzh

TEditorEx:
  http://homepage2.nifty.com/Km/eex.htm
  http://homepage2.nifty.com/Km/download/EEx210.LZH

TAWKStr:
  http://homepage1.nifty.com/bmonkey/delphi/delphi.html
  http://homepage1.nifty.com/bmonkey/delphi/REXP017.LZH

RubyFountain:
  http://homepage2.nifty.com/sakazuki/rdesource.html
  http://prdownloads.sourceforge.net/rubyde/rde0990src.zip?download
*)

uses
  Pythia, EditorHandle, uEditor, uEditorEx,
  uNotifyPersistent,
  uEditorStrings, uEditorViewInfo, uEditorMark, uEditorCursor,
  uEditorCaret, uEditorMargin, uEditorLeftbar, uEditorRuler,
  uEditorToken, uEditorWrapOption,
  uFountain, uEditorFountain;

{$E so}

procedure Init_editor; cdecl;
begin
  if ap_mPhi = 0 then ap_loaderror('undefined Phi module');
  Handle := TEditorHandle.Create;
  PhiExtentList.Add(Handle);
  Init_Editor_module;
  Init_EditorEx_module;
end;

exports
  Init_editor;

exports
  ap_cNotifyPersistent;

exports
  ap_cEditor,
  EditorGetHandle,
  ap_iEditor;

exports
  ap_cEditorMark,
  ap_iEditorMark,
  ap_iEditorMarks;

end.
